package Tetris;
import javax.swing.*;
import java.awt.*;

public class GameGui {
    public static final int width= 500, height =650;
    private Board board;
    private JFrame frame;

    public GameGui(){

        JPanel panel = new JPanel();
        panel.setBorder(BorderFactory.createMatteBorder(450, 10, 20, 10,Color.black));

        JLabel label = new JLabel("Name: ",JLabel.LEFT);
        label.setBounds(100,100,50,30);
        JButton button1 = new JButton("Start");

        button1.setPreferredSize( new Dimension(150,150));
        JButton button2 = new JButton("Pause");
        JButton button3 = new JButton("Score");

        panel.setLayout(new GridLayout(0,1));
        panel.setBackground(Color.gray);
        panel.add(label);
        panel.add(button1);
        panel.add(button2);
        panel.add(button3);
        /*
        window.add(panel, BorderLayout.EAST);
        frame.add(window,BorderLayout.WEST);
        window.setSize(width,height);
        //window.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        window.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
        window.setResizable(false);
        window.setVisible(true);
        board = new Board();
        window.add(board);
*/
        frame = new JFrame("Tetris");
        frame.add(panel,BorderLayout.EAST);
        frame.setSize(width,height);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setResizable(false);
        frame.setVisible(true);
        board = new Board();
        frame.add(board,BorderLayout.CENTER);
    }
    public static void main(String [] args)
    {
        new GameGui();
    }
}
